Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#63318 - [tribler] 7.2.2-4 Fails on startup: UnicodeEncodeError

Attached to Project: Community Packages
Opened by IngeniousDox (IngeniousDox) - Tuesday, 30 July 2019, 12:11 GMT
Last edited by Filipe Laíns (FFY00) - Monday, 18 November 2019, 09:17 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Filipe Laíns (FFY00)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description: Starting Tribler fails. There is no output in terminal, but log found in /tmp shows an error "UnicodeEncodeError: 'ascii' codec can't encode character u'\u2193' in position 0: ordinal not in range(128)". No other info but that.


Additional info:
- log file attached
- list of dependencies and their versions attached
- removing .Tribler folder to start with clean slate has been tested, this did not help.
- 7.3.0-rc1 tested but has the same error

Steps to reproduce:

1) Start Tribler
2) Find that it does not work and look at log in /tmp
This task depends upon

Closed by  Filipe Laíns (FFY00)
Monday, 18 November 2019, 09:17 GMT
Reason for closing:  No response
Comment by IngeniousDox (IngeniousDox) - Tuesday, 30 July 2019, 13:27 GMT
It seems Tribler is in the process of switching to python 3.

Upstream bug reports (closed):

https://github.com/Tribler/tribler/issues/4666
https://github.com/Tribler/tribler/issues/4713

This release can be used to get a working tribler again: https://jenkins-ci.tribler.org/job/_One-Click-Release-Custom/96/

However, it requires python2-lz4 as dependency now as well.
Comment by michael Lojkovic (zerophase) - Monday, 02 September 2019, 20:58 GMT
7.3.0 claims to fix the bug.
Comment by Filipe Laíns (FFY00) - Wednesday, 18 September 2019, 12:48 GMT
Sorry for the huge delay, I did not have time to fix this myself and then it got lost in my todo list.

Could you try 7.3.0-1?
Comment by IngeniousDox (IngeniousDox) - Wednesday, 02 October 2019, 11:31 GMT
I got around to testing 7.3.0_1 after downgrading from 7.3.0_rc1_6-4 that I linked. This doesn't want to start. Log attached.

7.3.0_rc1_6-4 still works fine.

That said "Tribler 7.3.1-RC1" has been released. Perhaps it is fixed there?
Comment by grizzlyuser (grizzly) - Thursday, 03 October 2019, 07:46 GMT
@IngeniousDox,
It looks like now it doesn't start due to different issue:

https://bugs.archlinux.org/task/63830?project=5&string=tribler

The log you attached indeed has a message about missing pyqtgraph module. tribler 7.3.0-1 worked for me after I installed python2-pyqtgraph package.
Comment by Filipe Laíns (FFY00) - Thursday, 17 October 2019, 08:43 GMT
Can you try again with the newest version?

Loading...